#include <iostream>
#include <cmath>

using namespace std;

int funkcija(int t[], int k, int velicina){
    int i, j;



    int zbir = 0;
    if(k==0){
        for(i=0;i<velicina;i++){
            zbir += t[i];
        }
        return zbir;
    }else{
        for(i=0;i<velicina;i++){
            for(j=i;j<velicina;j++){
                int temp[j-i+1];
                for(int ii=0;ii<=j-i;ii++){
                    temp[ii] = t[j-i];
                }
                zbir += funkcija(temp, k-1, i+1);
            }
        }
    }
}

int main()
{
    int n, k;

    cin >> n >> k;

    int a[n];

    for(int i=0;i<n;i++){
        cin >> a[i];
    }

    cout << funkcija(a, k, sizeof(a)/sizeof(a[0]));

    return 0;
}